Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Data Fields
Lucene::TopFieldDocs Class Reference

Represents hits returned by Searcher#search(QueryPtr, FilterPtr, int32_t, SortPtr). More...

`#include <TopFieldDocs.h>`

Inheritance diagram for Lucene::TopFieldDocs:

## Public Member Functions

| TopFieldDocs (int32_t totalHits, Collection< ScoreDocPtr > scoreDocs, Collection< SortFieldPtr > fields, double maxScore)
virtual | ~TopFieldDocs ()
virtual String | getClassName ()
boost::shared_ptr< TopFieldDocs > | shared_from_this ()
Public Member Functions inherited from Lucene::TopDocs
| TopDocs (int32_t totalHits, Collection< ScoreDocPtr > scoreDocs)
| Constructs a TopDocs with a default maxScore = double.NaN. More...
| TopDocs (int32_t totalHits, Collection< ScoreDocPtr > scoreDocs, double maxScore)
| Constructs a TopDocs. More...
virtual | ~TopDocs ()
boost::shared_ptr< TopDocs > | shared_from_this ()
double | getMaxScore ()
| Returns the maximum score value encountered. Note that in case scores are not tracked, this returns NaN. More...
void | setMaxScore (double maxScore)
| Sets the maximum score value encountered. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::TopDocs
static String | _getClassName ()

## Data Fields

Collection< SortFieldPtr > | fields
| The fields which were used to sort results by. More...
Data Fields inherited from Lucene::TopDocs
int32_t | totalHits
| The total number of hits for the query. More...
Collection< ScoreDocPtr > | scoreDocs
| The top hits for the query. More...
double | maxScore
| Stores the maximum score value encountered, needed for normalizing. More...

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Represents hits returned by Searcher#search(QueryPtr, FilterPtr, int32_t, SortPtr).

## Constructor & Destructor Documentation

Lucene::TopFieldDocs::TopFieldDocs | ( | int32_t | totalHits,
|  | Collection< ScoreDocPtr > | scoreDocs,
|  | Collection< SortFieldPtr > | fields,
|  | double | maxScore
| ) |  |

Parameters

  totalHits | Total number of hits for the query.
  scoreDocs | The top hits for the query.
  fields | The sort criteria used to find the top hits.
  maxScore | The maximum score encountered.

virtual Lucene::TopFieldDocs::~TopFieldDocs | ( |  | ) |

virtual

## Member Function Documentation

static String Lucene::TopFieldDocs::_getClassName | ( |  | ) |

inline static

virtual String Lucene::TopFieldDocs::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::TopDocs.

boost::shared_ptr< TopFieldDocs > Lucene::TopFieldDocs::shared_from_this | ( |  | ) |

inline

## Field Documentation

Collection<SortFieldPtr> Lucene::TopFieldDocs::fields

The fields which were used to sort results by.

The documentation for this class was generated from the following file:

- TopFieldDocs.h

clucene.sourceforge.net